MONGOC_CURSOR_IS_ALIVE(3)

NAME
mongoc_cursor_is_alive() - Checks to see if a cursor is in a state that allows for more documents to be queried.

SYNOPSIS

bool
mongoc_cursor_is_alive (const mongoc_cursor_t *cursor);

PARAMETERS

cursor
    A mongoc_cursor_t \&.

DESCRIPTION

Checks to see if a cursor is in a state that allows for more documents to be queried.

This is primarily useful with tailable cursors.

RETURNS

true if there may be more content to retrieve from the cursor.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.